Subject: bug#13602: 24.3.50; remove bindings for `icomplete-minibuffer-map' - make a separate mode

From: Juri Linkov <[email-masked]>
Date: Wed, 06 Feb 2013 12:24:10 +0200

> I would have started this paragraph with: "With or without ido
> keybindings".  Ido keybindings only adds cycling, it doesn't mess with
> the display.

Yes, "with or without ido keybindings", icomplete-mode is a standalone feature
separate from ido keybindings.  As the node (info "(emacs) Minor Modes") says:

   * Icomplete mode displays an indication of available completions when
     you are in the minibuffer and completion is active.  *Note
     Completion Options::.

and also (info "(emacs) Completion Options"):

     Icomplete mode presents a constantly-updated display that tells you
  what completions are available for the text you've entered so far.

and the Commentary section in icomplete.el:

  ;; Prospective completions are concisely indicated within the
  ;; minibuffer itself, with each successive keystroke.

There is nothing in documentation that suggests icomplete-mode
was intended to add ido keybindings.

If you want to create its submode implementing a new feature
that makes it work like `ido', why not give it a new name like
`icomplete-ido-mode'?